/*
 * Copyright (c) 2015, 2018 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */

package org.glassfish.jersey.message.internal;

import org.junit.Test;

import java.util.Date;

import static org.junit.Assert.assertTrue;

/**
 * @author Libor Kramolis (libor.kramolis at oracle.com)
 */
public class DateProviderTest {

    @Test
    public void testFromStringZoneIsGmt() {
        DateProvider dp = new DateProvider();
        Date now = new Date();
        assertTrue(dp.toString(now).endsWith("GMT"));
        Date fromString = dp.fromString("Thu, 11 Sep 2014 22:30:06 CEST");
        String toString = dp.toString(fromString);
        assertTrue(toString.endsWith("GMT"));
    }

}
